<div id="container_tasklist" class="row">
    <div class="col-lg-12 ">
        <div class="card">
            <!-- defaul view start  -->
            {% if not data.data %}
            <div class="card-body" id="default-view">
                <div class="tab-content border-0 tab-content-basic">
                    <section class="py-5 pl-5">
                        <div class="container">
                            <div class="row align-items-center">
                                <div class="col-md-6">
                                    <img src="/style-global/img/illustrations/to_do_list.png" alt="taskmanager"
                                         class="img-fluid" width="535px">
                                </div>
                                <div class="col-md-6">
                                    <h6 class="font-weight-bold tx-indigo mb-20px mt-3">Verwalten Sie Ihre Aufgabenliste
                                        online</h6>
                                    <h2 class="font-weight-bold mb-20px">Legen Sie los!
                                        <br>
                                        Richten Sie eine Liste in Ihrem Taskmanager ein.
                                    </h2>
                                    <p class="text-muted mb-20px">Erstellen Sie jederzeit neue Listen oder aktualisieren
                                        Sie Ihre
                                        vorhandenen Listeneinstellungen, indem Sie Klicken Sie in der Navigationsleiste
                                        auf das
                                        Symbol Einstellungen.</p>
                                    <ul class="list-ckeck-soft mb-30px">
                                        <li>Durchsuchen Sie Taske nach bestimmten Kriterien.</li>
                                        <li>Zuweisen von Aufgaben nach Gruppe oder Person.</li>
                                    </ul>
                                    <a href="list-settings.html" class="btn btn-primary">Liste Erstellen</a>

                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
            {% else %}
            <div class="card-body" id="task-detail-view" style="">
                <div class="pb-4 mb-4 border-bottom row">
                    <div class="col-sm-3 col-12 align-items-center d-flex">
                        <h5 class="page-title mb-n2 pd-r-10 ">Task</h5>
                        <div class="btn-group">
                            <button type="button" class="btn btn-indigo-white ml-2 mt-2 mb-0 dropdown-toggle"
                                    data-toggle="dropdown" aria-expanded="false" id="select-task-template" disabled=""
                                    style="display: none;">
                                Aus Vorlage ausfüllen
                            </button>
                            <div class="dropdown-menu" id="detail-view-template-dropdown"></div>
                        </div>
                    </div>
                    <div class="col-sm-9 col-12 pt-2 pt-md-0 text-right">
                        <button class="btn btn-outline-light no-wrap mb-2 mb-sm-0" id="button-cancel">
                            <i class="typcn typcn-arrow-left-outline tx-16"></i> Zurück
                        </button>

                        <button class="btn btn-indigo no-wrap ml-2 mb-2 mb-sm-0" id="button-edit-task" style="">
                            <i class="typcn typcn-edit tx-16"></i> Bearbeiten
                        </button>


                        <div class="btn-group" id="btn-group-task" style="display: none;">
                            <button type="submit" id="btn-group-task-save" class="btn btn-indigo ml-2 mb-2 mb-sm-0"><i
                                    class="typcn typcn-tick-outline tx-16"></i> Speichern
                            </button>
                            <button type="button" id="btn-group-task-save-as-template"
                                    class="btn btn-indigo dropdown-toggle dropdown-toggle-split mb-2 mb-sm-0"
                                    data-toggle="dropdown" aria-expanded="false">
                                <span class="sr-only" data-toggle="tooltip"
                                      data-original-title="Task von Vorlage anlegen">Toggle Dropdown</span>
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" id="select-save-as-template" href="#">als Vorlage Speichern</a>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="tab-content border-0 tab-content-basic">
                    <div class="tab-pane fade show active" role="tabpanel">
                        <div class="row row-sm align-items-start">
                            <div class="col-xl-7 col-lg-7  col-md-6">
                                <select class="form-control edit-input-muted" data-group="info"
                                        id="select-list-name-dropdown" disabled="">
                                    <option value="4370c802-cbe9-4146-b85f-a7f892265034">test</option>
                                </select>
                            </div><!-- col -->

                            <div class="col-xl-5 col-lg-5 col-md-6 pt-2 pt-md-0" id="resource_item">
                                <div class="d-flex align-items-center mg-b-10">
                                                <span class="d-none d-md-inline-block px-2">
                                                    <div class="az-avatar-no-status avatar-sm bg-primary"
                                                         data-toggle="tooltip" title=""
                                                         data-original-title="Ressource verknüpfen">
                                                        <i class="fas fa-link fa-1x"></i></div>
                                                </span>
                                    <select class="form-control" data-group="info" id="select-task-resource"
                                            disabled="">
                                        <option value="default" data-resource-id="">Keine Ressource verknüpft</option>
                                        {% for res in data.data.resources %}
                                        <option value="{{ res.resource_id }}" data-event-id="{{ res.resource_id }}">
                                            {{ res.data.name }}
                                        </option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div><!-- col -->

                            <div class="col-lg-12 mg-t-30 ">
                                <div class="row row-sm align-items-start">
                                    <div class="col-xl-7 col-lg-7  col-md-6" id="generalSettings">
                                        <input id="task-title" name="task-title" data-group="info" type="text"
                                               class="form-control edit-input-jumbo" required=""
                                               placeholder="Task Title *" value="{{ data.data.entry_data.title }}"
                                               disabled="">
                                        <span role="alert" id="task-titleError" class="error" aria-hidden="true">
                                                            Geben Sie einen Titel ein.
                                                        </span>
                                        <div class="mg-t-10 mg-b-10">
                                            <div id="task_description" class="ql-container ql-bubble ql-disabled">
                                                <div class="ql-editor" data-gramm="false" contenteditable="false"
                                                     data-placeholder="Beschreibung..."><p>{{
                                                    data.data.entry_data.description }}</p></div>
                                                <div class="ql-clipboard" contenteditable="true" tabindex="-1"></div>
                                                <div class="ql-tooltip ql-hidden"><span class="ql-tooltip-arrow"></span>
                                                    <div class="ql-tooltip-editor"><input type="text"
                                                                                          data-formula="e=mc^2"
                                                                                          data-link="https://quilljs.com"
                                                                                          data-video="Embed URL"><a
                                                            class="ql-close"></a></div>
                                                    <div class="ql-toolbar"><span class="ql-formats"><button
                                                            type="button" class="ql-bold"><svg viewBox="0 0 18 18"> <path
                                                            class="ql-stroke"
                                                            d="M5,4H9.5A2.5,2.5,0,0,1,12,6.5v0A2.5,2.5,0,0,1,9.5,9H5A0,0,0,0,1,5,9V4A0,0,0,0,1,5,4Z"></path> <path
                                                            class="ql-stroke"
                                                            d="M5,9h5.5A2.5,2.5,0,0,1,13,11.5v0A2.5,2.5,0,0,1,10.5,14H5a0,0,0,0,1,0,0V9A0,0,0,0,1,5,9Z"></path> </svg></button><button
                                                            type="button" class="ql-italic"><svg viewBox="0 0 18 18"> <line
                                                            class="ql-stroke" x1="7" x2="13" y1="4" y2="4"></line> <line
                                                            class="ql-stroke" x1="5" x2="11" y1="14" y2="14"></line> <line
                                                            class="ql-stroke" x1="8" x2="10" y1="14"
                                                            y2="4"></line> </svg></button></span></div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- checklist -->
                                        <div class="ml-2" id="checklist_container">
                                            <div class="d-flex align-items-center pd-b-5">
                                                <h6 class="page-title pd-r-10">Checkliste: </h6>
                                                <input id="todo_input" name="todo_input" type="text"
                                                       class="form-control" required="" value="">
                                                <button class="btn btn-indigo-white" id="newTodoButton"><i
                                                        class="typcn typcn-plus tx-18 pr-1"></i></button>
                                            </div>
                                            <div class="ml-2 mr-3 mb-5 mb-md-2" id="checklist_entries_container">
                                                <ul class="list-group">

                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-5 col-lg-5 col-md-6" id="specificSettings">
                                        <div class="d-flex align-items-center mg-b-10">
                                                            <span class="d-inline-block px-2">
                                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                                     data-toggle="tooltip" title=""
                                                                     data-original-title="Status setzen">
                                                                    <i class="fas fa-check-square fa-1x"></i></div>
                                                            </span>
                                            <select class="form-control" data-group="info" id="select-task-status"
                                                    disabled="">
                                                <option data-i18n="open" value="open">Zu Bearbeiten</option>
                                                <option data-i18n="planned" value="planned">Geplant</option>
                                                <option data-i18n="pending" value="pending">In Bearbeitung</option>
                                                <option data-i18n="onhold" value="onhold">Wartend</option>
                                                <option data-i18n="canceled" value="canceled">Verworfen</option>
                                                <option data-i18n="closed" value="closed">Erledigt</option>
                                            </select>
                                        </div>
                                        <div class="d-flex align-items-center mg-b-10">
                                                            <span class="d-inline-block px-2">
                                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                                     data-toggle="tooltip" title=""
                                                                     data-original-title="Task zuweizen">
                                                                    <i class="fas fa-user fa-1x"></i></div>
                                                            </span>
                                            <select class="form-control" data-group="info" id="select-task-responsible"
                                                    disabled="">

                                                <option value="default" data-contact-id="">Nicht zugewiesen</option>
                                                <option value="user.superuser">Nutzer: superuser</option>
                                            </select>
                                        </div>
                                        <div class="d-flex align-items-center mg-b-10">
                                                        <span class="d-inline-block px-2">
                                                            <div class="az-avatar-no-status avatar-sm bg-primary"
                                                                 data-toggle="tooltip" title=""
                                                                 data-original-title="Fälligkeitsdatum setzen">
                                                                <i class="fas fa-calendar-check tx-16"></i>
                                                            </div>
                                                        </span>
                                            {{ data.data.entry_data.due_date | datenotime }}
                                            <input class="form-control" data-group="info" id="select-task-due-date" type="date" disabled="" value="{{ data.data.entry_data.due_date }}">

                                        </div>
                                        <div class="d-flex align-items-center mg-b-10" id="select-task-due-time">
                                                        <span class="d-inline-block px-2">
                                                            <div class="az-avatar-no-status avatar-sm bg-primary"
                                                                 data-toggle="tooltip" title=""
                                                                 data-original-title="Deadline setzen">
                                                                <i class="fas fa-clock tx-16"></i>
                                                            </div>
                                                        </span>
                                            <select class="form-control-sm" data-group="info"
                                                    id="select-task-due-time-hour" disabled="">
                                                <option value="">--</option>
                                                <option value="8">08</option>
                                                <option value="9">09</option>
                                                <option value="10">10</option>
                                                <option value="11">11</option>
                                                <option value="12">12</option>
                                                <option value="13">13</option>
                                                <option value="14">14</option>
                                                <option value="15">15</option>
                                                <option value="16">16</option>
                                                <option value="17">17</option>
                                                <option value="18">18</option>
                                                <option value="19">19</option>
                                                <option value="20">20</option>
                                            </select>
                                            &nbsp;:&nbsp;
                                            <select class="form-control-sm" data-group="info"
                                                    id="select-task-due-time-minute" disabled="">
                                                <option value="">--</option>
                                                <option value="0">00</option>
                                                <option value="15">15</option>
                                                <option value="30">30</option>
                                                <option value="45">45</option>
                                            </select>
                                            <label for="create_easy2schedule_entry_for_due_date" class="ml-3 mb-0"
                                                   data-permission="easy2schedule.events">
                                                <input id="create_easy2schedule_entry_for_due_date" type="checkbox"
                                                       name="create_easy2schedule_entry_for_due_date" disabled="">
                                                <span class="ml-1 tx-gray-700" data-toggle="tooltip" title=""
                                                      data-original-title="als Easy2Schedule Termin eintragen">Kalendereintrag</span>
                                            </label>
                                        </div>
                                        <div class="d-flex align-items-center mg-b-10"
                                             data-permission="frontend.contactmanager" id="contact_item">
                                                            <span class="d-inline-block px-2">
                                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                                     data-toggle="tooltip" title=""
                                                                     data-original-title="Kontakt verknüpfen"><i
                                                                        class="fas fa-address-book tx-16"></i></div>
                                                            </span>
                                            <select class="form-control select2" style="width: 100%;" data-group="info"
                                                    id="select-task-contact" disabled="">
                                                <option value="default" data-contact-id="">Kein Kontakt verknüpft
                                                </option>
                                                {% for contact in data.data.contacts %}
                                                <option value="{{ contact.id }}" data-contact-id="{{ contact.id }}" {{
                                                        contact.selected }}>
                                                    {{ contact.name }}
                                                </option>
                                                {% endfor %}
                                            </select>
                                            <div class="clickable_div" style="z-index: 1; cursor: auto;">
                                            </div>
                                        </div>
                                        <div class="d-flex align-items-center mg-b-10"
                                             data-permission="easy2schedule.events" id="event_item">
                                                            <span class="d-inline-block px-2">
                                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                                     data-toggle="tooltip" title=""
                                                                     data-original-title="Termin verknüpfen"><i
                                                                        class="fas fa-calendar-alt tx-16"></i>
                                                            </div>
                                                            </span>
                                            <select class="form-control" data-group="info" id="select-task-appointment"
                                                    disabled="">
                                                <option value="default" data-contact-id="">Kein Termin verknüpft
                                                </option>
                                                {% for event in data.data.calendarentries %}
                                                <option value="{{ event.id }}" data-event-id="{{ event.id }}">
                                                    {{ event.title }} {{ event.start | date }} - {{ event.end | date }}
                                                </option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                        <div class="d-flex align-items-center mg-b-10" data-permission="beta_access"
                                             id="event_tags">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                     data-toggle="tooltip" title=""
                                                     data-original-title="Tags eingeben"><i
                                                        class="fas fa-tag tx-16"></i>
                                                </div>
                                            </span>
                                            <span id="tag_container" class="tx-medium d-flex align-items-center w-100">
                                                <select id="tags"
                                                        disabled="disabled"
                                                        data-propertyname="tags"
                                                        data-select2-selector=""
                                                        class="select-tags form-control select2-hidden-accessible"
                                                        multiple=""
                                                        style="width: 100%;"
                                                        data-select2-id="tags"
                                                        tabindex="-1"
                                                        aria-hidden="true">
                                                            {% for tag in data.data.tags %}
                                                            <option value="{{ tag.id }}" data-tag-id="{{ tag.id }}" {{
                                                                    tag.selected }}>
                                                                {{ tag.name }}
                                                            </option>
                                                            {% endfor %}

                                                </select>
                                                <button data-permission="tagmanager.globaltags.add"
                                                        title="Add Global Tag"
                                                        class="btn btn-indigo btn-with-icon no-wrap ml-2 mb-0"
                                                        type="button" id="addGlobalTagButton"
                                                        disabled="disabled">
                                                    <i class="typcn typcn-plus-outline"></i>
                                                </button>
                                            </span>
                                        </div>
                                    </div>
                                </div>

                            </div><!-- col -->
                        </div>

                    </div>
                </div>
            </div>

        </div>
        <!-- activity nav start -->
        <div id="activity-nav" style="">
            <nav class="d-flex align-items-center px-20 pd-t-10 pd-b-10">
                <h6 class="mg-t-7 ml-3">Aktivität:</h6>
                <div id="button-task-comment-wrapper" style="">
                    <button class="ml-2 btn-primary-pill" id="button-task-comment" data-selector="off"
                            data-i18n="comment button">Kommentare
                    </button>
                </div>
                <div id="button-task-history-wrapper" data-permission="frontend.taskmanager.views.history" style="">
                    <button class="btn-light-pill ml-2" id="button-task-history" data-selector="off"
                            data-i18n="history button">Revisionsverlauf
                    </button>
                </div>
                <div id="button-task-documentation-wrapper" data-permission="frontend.documentation" style="">
                    <a target="_blank"
                       href="http://localhost:7070/documentation/index.html?sid=task-manager|task|9df781c9-d019-4253-9e69-2730b7a6e5aa"
                       class="btn-light-pill ml-2" id="button-task-documentation" data-i18n="documentation button">Dokumentation</a>
                </div>
            </nav>
        </div>
        <!-- history start -->
        <div id="history" class="container pl-3 pr-3 pt-0" style="display:none;">
            <div class="w-100 pr-3">
                <ul class="timeline" id="history-list-container"></ul>
            </div>
        </div>
        <!-- comment start -->
        <div id="comment" class="container pl-3 pr-3 pt-3" style="">
            <div class="row w-100">
                <div class="col-lg-8 col-sm-12 d-flex">
                    <input id="comment-input" name="comment-input" type="text" class="form-control" required=""
                           placeholder="Type your message here..." value="">
                    <button class="btn az-msg-send" id="comment-send-button"><i class="far fa-paper-plane tx-20"></i>
                    </button>
                </div>
                <div class="col-12 mt-4">
                    <div id="comment-list-container"></div>
                </div>
            </div>
        </div>
        {% endif %}
    </div>
</div>